Skip to content
Start here

Delete logo query

client.brandProtection.v2.logos.delete(stringqueryId, LogoDeleteParams { account_id } params, RequestOptionsoptions?): LogoDeleteResponse { message, success }
DELETE/accounts/{account_id}/cloudforce-one/v2/brand-protection/logo/queries/{query_id}

Delete a saved brand protection logo query. Returns 404 if the query ID doesn’t exist.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One Write
ParametersExpand Collapse
queryId: string
minLength1
params: LogoDeleteParams { account_id }
account_id: string
minLength1
ReturnsExpand Collapse
LogoDeleteResponse { message, success }
message: string
success: boolean

Delete logo query

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const logo = await client.brandProtection.v2.logos.delete('x', { account_id: 'x' });

console.log(logo.message);
{
  "message": "message",
  "success": true
}
Returns Examples
{
  "message": "message",
  "success": true
}